### Method

# Adw ViewStackPage get_icon_name

#### Declaration [src]

    const char*
    adw_view_stack_page_get_icon_name (
      AdwViewStackPage* self
    )

#### Description [src]

Gets the icon name of the page.

Available since: | 1.0

Gets property | `Adw.ViewStackPage:icon-name`

#### Return value

Returns: | `utf8`
| The icon name of the page.
| The data is owned by the instance.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.